<?php
use Psr\Container\ContainerInterface;

return [
  Slim\Views\Blade::class => function(ContainerInterface $container) {
    return new Slim\Views\Blade(
      $container->get('blade_template_path'),
      $container->get('blade_cache_path'),
      null,
      [
        'urls' => (object) [
          'base' => $container->get('urls.base'),
          'assets' => (object) [
            'images' => $container->get('urls.images'),
            'styles' => $container->get('urls.styles'),
            'scripts' => $container->get('urls.scripts'),
            'fonts' => $container->get('urls.fonts')
          ],
          'notaria_turno' => $container->get('urls.notaria.turno'),
          'play_store' => $container->get('urls.play.store'),
          'play_store_logo' => $container->get('urls.play.store.logo')
        ],
        'assets' => $container->get('assets')
      ]
    );
  }
];
